```
# Instalación de la Aplicación Laravel

Este documento describe los pasos necesarios para instalar y ejecutar una aplicación Laravel, incluyendo la configuración de dependencias y la ejecución de `npm run dev`.

## Requisitos Previos

Antes de comenzar, asegúrate de tener instalados los siguientes requisitos:

- [PHP](https://www.php.net/downloads.php) >= 8.0
- [Composer](https://getcomposer.org/download/)
- [Node.js y npm](https://nodejs.org/)
- [MySQL](https://www.mysql.com/) o [SQLite](https://www.sqlite.org/)

## Instalación


1. **Instalar dependencias PHP**
   ```sh
   composer install
   ```

2. **Configurar el entorno**
   ```sh
   cp .env.example .env
   php artisan key:generate
   ```
   Luego, edita el archivo `.env` para configurar la base de datos y otros ajustes necesarios.

3. **Configurar la base de datos**
   ```sh
   php artisan migrate --seed
   ```

4. **Instalar dependencias de Node.js**
   ```sh
   npm install
   ```

5. **Compilar assets con Vite**
   ```sh
   npm run dev
   ```

6. **Levantar el servidor de desarrollo**
   ```sh
   php artisan serve
   ```

Ahora puedes acceder a la aplicación en `http://127.0.0.1:8000/`.
```

