<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class Empleado extends Model
{
    use HasFactory;
    protected $table = 'empleados';

    protected $fillable = [
        'nombre',
        'apellido_paterno',
        'apellido_materno',
        'fecha_nacimiento',
        'sexo',
        'correo',
        'telefono',
        'grado_estudiante',
        'departamento',
        'ciudad',
        'direccion',
        'foto',
    ];

    public function getFotoAttribute($value)
    {
        return $value ? (str_contains($value, 'empleado') ? Storage::url($value) : $value) : asset('images/default-profile.png');
    }

}
