<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\User>
 */
class EmpleadoFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'nombre' => $this->faker->firstName,
            'apellido_paterno' => $this->faker->lastName,
            'apellido_materno' => $this->faker->lastName,
            'fecha_nacimiento' => $this->faker->date('Y-m-d', '2000-01-01'),
            'sexo' => $this->faker->randomElement(['M', 'F']),
            'correo' => $this->faker->unique()->safeEmail,
            'telefono' => $this->faker->phoneNumber,
            'grado_estudiante' => $this->faker->randomElement(['Primaria', 'Secundaria', 'Universitario', 'Postgrado']),
            'departamento' => $this->faker->state,
            'ciudad' => $this->faker->city,
            'direccion' => $this->faker->address,
            'foto' => 'https://picsum.photos/200/200?random=' . $this->faker->unique()->numberBetween(1, 1000),
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }
}
