<?php

// Borra las cachés de configuración, rutas y vistas
$paths = [
    __DIR__ .'/../bootstrap/cache/config.php',
    __DIR__ .'/../bootstrap/cache/routes-v7.php', // Cambia según tu versión de Laravel
];

foreach ($paths as $path) {
    if (file_exists($path)) {
        unlink($path); // Elimina el archivo de caché
    }
}

// Borra la caché de vistas
$viewPath = __DIR__ .'/../storage/framework/views';
$files = glob($viewPath . '/*'); // Obtiene todos los archivos en la carpeta de vistas
foreach ($files as $file) {
    if (is_file($file)) {
        unlink($file); // Elimina cada archivo
    }
}

// Borra la caché general
$cachePath = __DIR__ .'/../storage/framework/cache';
$cacheFiles = glob($cachePath . '/*');
foreach ($cacheFiles as $cacheFile) {
    if (is_file($cacheFile)) {
        unlink($cacheFile); // Elimina cada archivo de caché
    }
}

echo "¡Caché limpiada con éxito!";
