@extends('layouts.master')

@section('content')
<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
<style>
    .dashboard-card {
        border-radius: 10px;
        padding: 20px;
        color: #fff;
        text-align: center;
        box-shadow: 0 4px 8px rgba(0,0,0,0.1);
        margin-bottom: 20px;
    }
    .card-clients { background-color: #4e73df; }
    .card-entries { background-color: #1cc88a; }
    .card-products { background-color: #f6c23e; }
    .card-exits { background-color: #e74a3b; }

    .chart-container { height: 400px; margin-top: 30px; }
    
    /* Estilo para los títulos en el Dashboard */
    h5 {
        font-weight: bold;
    }
    .chart-container {
    background-color: #ffffff; /* Fondo blanco */
    border-radius: 12px; /* Bordes más redondeados */
    padding: 40px; /* Espaciado interno más amplio */
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.1), 0 2px 4px rgba(0, 0, 0, 0.06); /* Sombra elegante */
    border: 1px solid #e0e0e0; /* Borde sutil */
    transition: transform 0.3s ease, box-shadow 0.3s ease; /* Animaciones suaves */
}

.chart-container:hover {
    transform: translateY(-5px); /* Mover ligeramente hacia arriba al pasar el ratón */
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.12), 0 4px 6px rgba(0, 0, 0, 0.08); /* Mayor sombra al hacer hover */
}

</style>
<body class="bg-light">
    <div class="container py-2">

        <div class="row">
            <!-- Bloques de información -->
            
            <div class="col-md-3">
                <div class="dashboard-card card-products">
                    <i class="fas fa-users fa-3x"></i>
                    <h5> Usarios</h5>
                    <p>{{ $count['user'] ?? 0 }}</p>
                </div>
            </div>
            <div class="col-md-3">
                <div class="dashboard-card card-clients">
                    <i class="fas fa-building fa-3x"></i>
                    <h5> Clientes</h5>
                    <p>{{ $count['clients'] ?? 0 }}</p>
                </div>
            </div>
            <div class="col-md-3">
                <div class="dashboard-card card-entries">
                    <i class="fa-solid fa-money-check-dollar fa-3x"></i>
                    <h5> Creditos</h5>
                    <p>{{ $count['credits'] ?? 0 }}</p>
                </div>
            </div>
            <div class="col-md-3">
                <div class="dashboard-card card-exits">
                    <i class="fa-solid fa-file-invoice-dollar fa-3x"></i>
                    <h5> Abonos</h5>
                    <p>{{ $count['payments'] ?? 0 }}</p>
                </div>
            </div>
        </div>

        <div class="row justify-content-center mt-4">
            <div class="col-md-12">
                <div class="card shadow-lg rounded-4">
                    <div class="card-body text-center">
                        <h5 class="card-title mb-4">Control de cuentas por cobrar y clientes</h5>
                        <div class="row g-3">
                            <div class="col-6">
                                <a href="{{route('admin.clients.create')}}" class="btn btn-light w-100 d-flex flex-column align-items-center py-5 shadow-sm">
                                    <img src="https://cdn-icons-png.flaticon.com/512/3135/3135715.png" alt="Crear Cliente" class="mb-2" style="width: 60px; height: 60px;">
                                    <span>Crear Cliente</span>
                                </a>
                            </div>
                            <div class="col-6">
                                <a href="{{route('admin.credits_payments.index')}}?openForm=true" class="btn btn-light w-100 d-flex flex-column align-items-center py-5 shadow-sm">
                                    <img src="https://cdn-icons-png.flaticon.com/512/8955/8955326.png" alt="Registrar Crédito / Pago" class="mb-2" style="width: 60px; height: 60px;">
                                    <span>Registrar Crédito / Pago</span>
                                </a>
                            </div>
                            <div class="col-6">
                                <a href="{{route('admin.balances.index')}}" class="btn btn-light w-100 d-flex flex-column align-items-center py-5 shadow-sm">
                                    <img src="https://cdn-icons-png.flaticon.com/512/4402/4402521.png" alt="Saldo Histórico" class="mb-2" style="width: 60px; height: 60px;">
                                    <span>Saldo Histórico</span>
                                </a>
                            </div>
                            <div class="col-6">
                                <a href="{{route('admin.statements.index')}}" class="btn btn-light w-100 d-flex flex-column align-items-center py-5 shadow-sm">
                                    <img src="https://cdn-icons-png.flaticon.com/512/10365/10365210.png" alt="Estados de Cuenta" class="mb-2" style="width: 60px; height: 60px;">
                                    <span>Estados de Cuenta</span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    

    
</div>
<script>
   
</script>
@endsection
