<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="float-start">
                ESTADOS DE CUENTA
            </div>
           
        </div>

        
        <div class="card-body mt-4">
        
            <form method="GET" action="<?php echo e(route('admin.statements.index')); ?>" class="mb-4">
                <div class="row">
                    <div class="col-md-4">
                        <label for="client_id" class="form-label">Client</label>
                        <select name="client_id" id="client_id" class="form-select autocomplete">
                            <option value="">- Seleccionar -</option>
                            <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($client->id); ?>" <?php echo e(request('client_id') == $client->id ? 'selected' : ''); ?>>
                                    <?php echo e($client->name); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="col-md-4">
                        <label for="date_start" class="form-label">Fecha Inicio</label>
                        <input type="date" name="date_start" id="date_start" class="form-control" value="<?php echo e(request('date_start')); ?>">
                    </div>
                    <div class="col-md-4">
                        <label for="date_end" class="form-label">Fecha Fin</label>
                        <input type="date" name="date_end" id="date_end" class="form-control" value="<?php echo e(request('date_end')); ?>">
                    </div>
                </div>
                <div class="mt-3">
                    <button type="submit" class="btn btn-primary">Filtrar</button>
                    <a href="<?php echo e(route('admin.statements.index')); ?>" class="btn btn-secondary">Limpiar</a>
                </div>
            </form>
        
            
            <div class="table-responsive">
                <table class="table table-hover">
                    <thead>
                        <tr>
                            <th>Cliente</th>
                            <th>Fecha</th>
                            <th>Concept</th>
                            <th>Nª Documento</th>
                            <th>Saldo Anterior</th>
                            <th>Cargo</th>
                            <th>Abonos</th>
                            <th>Nuevo Saldo</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $statements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <?php
                                $startDate = \Carbon\Carbon::parse($statement->start_date);
                                $dateStart = request('date_start') ? \Carbon\Carbon::parse(request('date_start')) : null;
                                $dateEnd = request('date_end') ? \Carbon\Carbon::parse(request('date_end')) : null;

                                // Filtrar las filas según las fechas seleccionadas
                                if (($dateStart && $startDate < $dateStart) || ($dateEnd && $startDate > $dateEnd)) {
                                    continue; // Saltar esta fila si no está en el rango
                                }
                            ?>
                            <tr>
                                <td><?php echo e($statement->client_name); ?></td>
                                <td><?php echo e(\Carbon\Carbon::parse($statement->start_date)->format('d/m/Y')); ?></td>
                                <td><?php echo e($statement->concept); ?></td>
                                <td class="text-center"><?php echo e($statement->document_number); ?></td>
                                <td>
                                    <?php if($statement->previous_balance): ?>
                                        <?php echo e(number_format($statement->previous_balance, 2)); ?>

                                    <?php else: ?>
                                        -
                                    <?php endif; ?>
                                </td>
                                <td><?php echo e($statement->is_credit == 1 ? number_format($statement->charge, 2) : '-'); ?></td>
                                <td><?php echo e($statement->is_credit == 0 ? number_format($statement->charge, 2) : '-'); ?></td>
                    
                                <td><?php echo e(number_format($statement->new_balance, 2)); ?></td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="7" class="text-center">No se encontro resultados.</td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>


        </div>     
    </div>

    <script>
                        
        window.addEventListener('DOMContentLoaded', () => {
            
        })

        </script>
       
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-cobranzas/resources/views/admin/statements/index.blade.php ENDPATH**/ ?>