<?php $__env->startSection('content'); ?>

    <div class="card">
        <div class="card-header">
            Listado de Roles
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('role_create')): ?>
                <a class="btn btn-success btn-sm text-white float-end" href="<?php echo e(route("admin.roles.create")); ?>">
                    Agregar Nuevo
                </a>
            <?php endif; ?>
        </div>

        <div class="card-body">
            <div class="table-responsive">
                <table class="table">
                    <thead>
                    <tr>
                        <th>
                            ID
                        </th>
                        <th>
                            Title
                        </th>
                        <th>
                            Permisos
                        </th>
                        <th>
                            Acciones
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr data-entry-id="<?php echo e($role->id); ?>">
                            <td>
                                <?php echo e($role->id ?? ''); ?>

                            </td>
                            <td>
                                <?php echo e($role->name ?? ''); ?>

                            </td>
                            <td width="70%">
                                <?php $__currentLoopData = $role->permissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <span class="badge bg-info"><?php echo e($item->name); ?></span>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </td>
                            <td>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('role_show')): ?>
                                    <a class="btn btn-xs btn-primary mb-1" href="<?php echo e(route('admin.roles.show', $role->id)); ?>">
                                        Ver
                                    </a>
                                <?php endif; ?>

                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('role_edit')): ?>
                                    <a class="badge bg-info" href="<?php echo e(route('admin.roles.edit', $role->id)); ?>">
                                        Editar
                                    </a>
                                <?php endif; ?>

                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('role_delete')): ?>
                                    <a href="javascript:void(0)" class="badge bg-danger text-white" onclick="
                                        if(confirm('Esta seguro de eliminar este registro ??'))
                                        {
                                        event.preventDefault();
                                        document.getElementById('delete-form-<?php echo e($role->id); ?>').submit();
                                        }">Eliminar
                                    </a>
                                    <form id="delete-form-<?php echo e($role->id); ?>" method="post"
                                          action="<?php echo e(route('admin.roles.destroy', $role->id)); ?>" style="display: none">
                                        <?php echo e(csrf_field()); ?>

                                        <?php echo e(method_field('DELETE')); ?>

                                    </form>
                                <?php endif; ?>

                            </td>

                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="card-footer clearfix">
            <?php echo e($roles->links()); ?>

        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-control-inventario/resources/views/admin/roles/index.blade.php ENDPATH**/ ?>