<?php $__env->startSection('content'); ?>
    <div class="card" x-data="{showRegisterForm: <?php echo e(!empty(request('openForm')) ? 'true' : 'false'); ?>}">
        <div class="card-header">
            <div class="float-start">
                 Creditos - Abonos  
            </div>
            <div class="float-end">
                <button type="button" class="btn btn-success btn-sm text-white" x-on:click="showRegisterForm = ! showRegisterForm">
                    Registrar Nuevo
                </button>
            </div>
        </div>

        <div class="container mt-5" x-show="showRegisterForm">
        <!-- Display all errors at the top -->
            <div class="row">
                <div class="col-md-12">

                    <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                
                </div>

            </div>
            <!-- Tabs Navigation -->
            <ul class="nav nav-tabs" id="creditPaymentTabs" role="tablist">
                <li class="nav-item" role="presentation">
                    <a class="nav-link active" id="credit-tab" data-bs-toggle="tab" href="#credit" role="tab" aria-controls="credit" aria-selected="true">Credito</a>
                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link" id="payment-tab" data-bs-toggle="tab" href="#payment" role="tab" aria-controls="payment" aria-selected="false">Pago (Abono)</a>
                </li>
            </ul>
        
            <!-- Tab Content -->
            <div class="tab-content mt-3" id="creditPaymentTabsContent">
        
                <!-- Credit Tab -->
                <div class="tab-pane fade show active" id="credit" role="tabpanel" aria-labelledby="credit-tab">
                    <form action="<?php echo e(route("admin.credits_payments.store")); ?>" method="POST">
                        <?php echo csrf_field(); ?> <!-- CSRF token for Laravel (if using Laravel) -->
                        <input type="hidden" name="is_credit" value="true">
        
                        <div class="row mb-3">
                            <div class="col-md-4">
                                <label for="date" class="form-label">Fecha</label>
                                <input type="date" class="form-control" id="date" name="date" required>
                            </div>
                            <div class="col-md-4">
                                <label for="client" class="form-label">Cliente</label>
                                <select id="client" class="form-select autocomplete" name="client" required>
                                    <option value="" selected>- Buscar -</option>
                                    <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($client->id); ?>"><?php echo e($client->name); ?> </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="col-md-4">
                                <label for="document_number" class="form-label">Nª Documento</label>
                                <input type="text" class="form-control" id="document_number" name="document_number" required>
                            </div>
                            
                        </div>
        
                        <div class="row mb-3">
                            <div class="col-md-4">
                                <label for="credit_days" class="form-label">Días Credito</label>
                                <select name="credit_days" class="form-select autocomplete" id="credit_days">
                                    <option value=""></option>
                                    <option value="15">15</option>
                                    <option value="30">30</option>
                                    <option value="60">60</option>
                                </select>
                            </div>
                            <div class="col-md-4">
                                <label for="total" class="form-label">Monto Credito</label>
                                <input type="number" class="form-control" id="total" name="total" step="0.01" required>
                            </div>

                        </div>
        
                        <!-- Concept Field Below (Full width) -->
                        <div class="row mb-3">
                            <div class="col-12">
                                <label for="concept" class="form-label">Concepto</label>
                                <input type="text" class="form-control" id="concept" name="concept">
                            </div>
                        </div>
        
                        <div class="row mb-3">
                            <div class="col-sm-9">
                                <button type="submit" class="btn btn-primary">Registrar Credito</button>
                            </div>
                        </div>
                    </form>
                </div>
        
                <!-- Payment (Abono) Tab -->
                <div class="tab-pane fade" id="payment" role="tabpanel" aria-labelledby="payment-tab">
                    <form action="<?php echo e(route('admin.credits_payments.store')); ?>" method="POST">
                        <?php echo csrf_field(); ?> <!-- CSRF token for Laravel (if using Laravel) -->
                        <input type="hidden" name="is_payment" value="true">
                        <div class="row">
                            <div class="col-md-7">
                                <div class="row mb-3">
                            
                                    <div class="col-md-5">
                                        <label for="payment_date" class="form-label">Fecha</label>
                                        <input type="date" class="form-control" id="payment_date" name="payment_date" required>
                                    </div>
                                    <div class="col-md-5">
                                        <label for="payment_client" class="form-label">Cliente</label>
                                        <select id="payment_client" class="form-select autocomplete" name="payment_client" required>
                                            <option value="" selected>- Buscar -</option>
                                            <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($client->id); ?>"><?php echo e($client->name); ?> </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                
                                <div class="row mb-3">
                                    <div class="col-md-5">
                                        <label for="amount_paid" class="form-label">Abono (Monto)</label>
                                        <input type="number" class="form-control" id="amount_paid" name="amount_paid" step="0.01" required>
                                    </div>
                                    <div class="col-md-5">
                                        <label for="payment_concept" class="form-label">Concepto</label>
                                        <input type="text" class="form-control" id="payment_concept" name="payment_concept">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-5">

                                <div  class="table-responsive">
                                    <p class="mb-4 mt-2">Seleccione el credito a Abonar </p>
                                    <table
                                    id="table"
                                    data-toggle="table"
                                    data-ajax="ajaxRequest"
                                    data-height="auto"
                                    data-side-pagination="server"
                                    data-single-select="true"
                                    data-click-to-select="true"
                                    data-select-item-name="credit_id" 
                                    data-id-field="id"
                                    >
                                    <thead>
                                        <tr>
                                         <th data-field="" data-checkbox="true"></th>
                                        <th data-field="document_number">Nª Documento</th>
                                        <th data-field="outstanding_balance" data-align="right">Saldo</th>
                                        </tr>
                                    </thead>
                                    </table>
                                  </div>
                                  <script>
                        
                                    function ajaxRequest(params) {
                                        const url = '<?php echo e(route("admin.credits.ajaxList")); ?>'
                                        const clientId = document.getElementById('payment_client').value;
                                        $.get(url + '?' + $.param(params.data)+'&clientId='+clientId).then(function (res) {
                                            params.success(res)
                                        })
                                    }

                                    window.addEventListener('DOMContentLoaded', () => {

                                        $("#payment_client").change(function(){
                                            const $table = $('#table')
                                            $table.bootstrapTable('refresh')
                                        })
                                    })
                        
                                    </script>

                            </div>
                        </div>
                       
        
                        <div class="row mb-3">
                            <div class="col-sm-9">
                                <button type="submit" class="btn btn-primary">Registrar Pagos</button>
                            </div>
                        </div>
                    </form>
                </div>
        
            </div>
            <!-- Tab Content End -->
        
        </div>
        
        <div class="card-body">
            <div class="table-responsive">
                <table class="table">
                    <thead>
                    <tr>
                        <th>
                            Fecha
                        </th>
                        <th>
                            Cliente
                        </th>
                        <th>
                            Concepto
                        </th>
                        <th>
                            Nª Documento
                        </th>
                        <th>
                            Credito
                        </th>
                        <th>
                            Abono
                        </th>
                        <th class="text-center">
                            Dias Credito
                        </th>
                        <th class="text-center">
                            Días Vencido
                        </th>
                        <th>
                            SALDO
                        </th>
                        <th>
                            Vencimiento
                        </th>
                        <th>
                            Acciones
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $credits_payments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $credit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr data-entry-id="<?php echo e($credit->credit_id); ?>">
                            <td><?php echo e(\Carbon\Carbon::parse($credit->credit_date)->format('d/m/Y') ?? \Carbon\Carbon::parse($credit->payment_date)->format('d/m/Y')); ?></td>
                            <td>
                                <?php echo e($credit->client_name ?? ''); ?>

                            </td>
                            <td>
                                <?php echo e($credit->description ?? ''); ?>

                            </td>
                            <td>
                                <?php echo e($credit->document_number ?? ''); ?>

                            </td>
                            <td><?php echo e($credit->debit ? number_format($credit->debit, 2) : '-'); ?></td>
                            <td><?php echo e($credit->credit ? number_format($credit->credit, 2) : '-'); ?></td>
                            <td class="text-center"><?php echo e($credit->credit_days ?? '-'); ?></td>
                            <td class="bg-light text-center"><?php echo e($credit->overdue_days > 0 ? $credit->overdue_days : '-'); ?></td>
                            <td class="bg-light"><?php echo e($credit->balance !== null ? number_format($credit->balance, 2) : '-'); ?></td>
                            <td class="bg-light">
                             <?php if($credit->is_credit): ?>
                                 <?php echo e(app('App\Http\Controllers\Admin\CreditPaymentController')->getOverdueStatus($credit->overdue_days)); ?>

                             <?php endif; ?>
                            </td>
                            <td>
                                <?php
                                    $controller = $credit->is_credit == 1 ? 'credits' : 'payments'
                                ?>
                                <form id="delete-form-<?php echo e($controller); ?>-<?php echo e($credit->credit_id); ?>" method="post"
                                    action="<?php echo e(route('admin.'.$controller.'.destroy', $credit->credit_id)); ?>"
                                    style="display: none">
                                  <?php echo e(csrf_field()); ?>

                                  <?php echo e(method_field('DELETE')); ?>

                              </form>
                              <a href="javascript:void(0)" class="badge bg-danger text-white" onclick="
                                  if(confirm('Esta seguro de eliminar este registro ??'))
                                  {
                                  event.preventDefault();
                                  document.getElementById('delete-form-<?php echo e($controller); ?>-<?php echo e($credit->credit_id); ?>').submit();
                                  }">Eliminar
                              </a>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('credit_payment_delete')): ?>
                                   
                                <?php endif; ?>
                            </td>
                            
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
       
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-cobranzas/resources/views/admin/credits_payments/index.blade.php ENDPATH**/ ?>