<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="float-start">
                <h1>Listado de Empleados</h1>
            </div>
                <div class="float-end">
                    <a class="btn btn-success btn-sm text-white px-4 py-2 btn-custom" href="<?php echo e(route("admin.empleados.create")); ?>">
                        <i class="fa-solid fa-square-plus"></i>
                        AGREGAR
                    </a>
                    <a class="btn btn-primary btn-sm text-white px-4 py-2" id="edit-empleado" href="#">
                        <i class="fa-solid fa-pen-to-square"></i>
                        MODIFICAR
                    </a>
                    <a class="btn-custom d-none" id="edit-empleado-hidden"></a>
                    <a class="btn btn-danger btn-sm text-white px-4 py-2" id="delete-empleado" href="#">
                        <i class="fa-solid fa-trash-can"></i>
                        ELIMINAR
                    </a>
                </div>
        </div>

        <div class="card-body">

            <div  class="table-responsive">
                <table
                class='table'
                id="table"
                data-toggle="table"
                data-url="<?php echo e(route("admin.empleados.ajaxList")); ?>"
                data-height="auto"
                data-page-size="10"
                data-search="true"
                data-click-to-select="true"
                data-single-select="true"
                data-show-columns="true"
                data-show-columns-toggle-all="true"
                data-side-pagination="server"
                data-pagination="true">
                <thead>
                    <tr>
                    <th data-field="" data-checkbox="true"></th>
                    <th data-field="id">ID</th>
                    <th data-field="nombre">Nombre</th>
                    <th data-field="apellido_paterno" >Apellido Paterno</th>
                    <th data-field="apellido_materno" >Apellido Materno</th>
                    <th data-field="fecha_nacimiento" >Fecha Nac.</th>
                    <th data-field="sexo" >Sexo</th>
                    <th data-field="correo" >Correo</th>
                    <th data-field="telefono" >Telefono</th>
                    <th data-field="grado_estudiante" >Estudios</th>
                    <th data-field="departamento" >Departamento</th>
                    <th data-field="ciudad" >Ciudad</th>
                    <th data-field="direccion" >Dirección</th>
                    <th data-field="foto" data-formatter="photoFormatter">Foto</th>
                    </tr>
                </thead>
                </table>
              </div>
              <script>
                function photoFormatter(value, row) {
                  
                  return `<img src="${row.foto}" width="100">`
                }
                const editEmpleado = document.getElementById('edit-empleado');
                const deleteEmpleado = document.getElementById('delete-empleado');
                const urlEdit = "<?php echo e(route('admin.empleados.edit','%')); ?>"

                document.addEventListener('DOMContentLoaded', () => {
                    
                    const table = $("#table");

                    editEmpleado.addEventListener('click', () => {

                        const row = table.bootstrapTable('getSelections')
                        if(row.length == 0)
                        {
                            alert("Debe seleccionar un Empleado")
                            return   
                        }
                        $('#edit-empleado-hidden').attr('href', urlEdit.replace('%', row[0].id)).trigger('click')
                    })

                    deleteEmpleado.addEventListener('click', () => {

                        const row = table.bootstrapTable('getSelections')
                        if(row.length == 0)
                        {
                            alert("Debe seleccionar un Empleado")
                            return   
                        }
                        const url = "<?php echo e(route('admin.empleados.destroy', ':id')); ?>".replace(':id', row[0].id);
                        if (confirm("¿Seguro que deseas eliminar este empleado?")) {
                            $.ajax({
                                url: url,
                                type: "POST",
                                data: { _method: "DELETE", _token: "<?php echo e(csrf_token()); ?>" },
                                success: function (response) {
                                    table.bootstrapTable('refresh')
                                },
                                error: function (xhr) {
                                    alert(xhr.responseJSON.error);
                                }
                            });
                        }
                    })
                })
           
      
             </script>

        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-form/resources/views/admin/empleados/index.blade.php ENDPATH**/ ?>