<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="float-start">
                Articulos
            </div>
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('product_create')): ?>
                <div class="float-end">
                    <button type="button" class="btn btn-success btn-sm text-white"  data-bs-toggle="modal" data-bs-target="#create">
                        Crear Articulo
                    </button>
                </div>
                
            <?php endif; ?>
        </div>

        <!-- Modal -->
<div class="modal fade" id="create" tabindex="-1" aria-labelledby="titleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <form id="ajaxForm" onsubmit="return submitForm(this)" method="POST" action="<?php echo e(route("admin.products.store")); ?>">
             <div class="modal-header">
                <h1 class="modal-title fs-5" id="titleModalLabel">Crear Articulo</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body form-horizontal">

              <div class="mb-3">
                <label for="codigo" class="form-label">Código</label>
                <input type="hidden" id="product_id"  name="product_id" x-model="form.product_id">
                <input type="text" class="form-control" id="code" value="<?php echo e($product_code); ?>" readonly name="code" required>
              </div>

              <div class="mb-3">
                <label for="category_id" class="form-label">Categoria</label>
                  <select name="category_id" id="category_id" class="form-select autocompleteInModal" 
                  data-placeholder="- Elegir -" required>
                  <option value=""></option>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($category->id); ?>"><?php echo e($category->category_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div>

              <div class="mb-3">
                <label for="presentation_id" class="form-label">Presentación</label>
                  <select name="presentation_id" id="presentation_id"
                  class="form-select autocompleteInModal" data-placeholder="- Elegir -" required>
                    <option value=""></option>
                    <?php $__currentLoopData = $presentations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $presentation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($presentation->id); ?>"><?php echo e($presentation->description); ?> - <?php echo e($presentation->unit); ?> uds.</option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </select>
              </div>

              
                <div class="mb-3">
                  <label for="description" class="form-label">Descripción</label>
                  <input type="text" class="form-control" id="description" name="description" required>
                </div>
              
                <div class="mb-3">
                  <label for="cost" class="form-label">Costo</label>
                  <div class="input-group">
                    <input type="text" class="form-control" id="cost" name="cost" required>
                    <span class="input-group-text"><i class="fas fa-dollar-sign"></i></span>
                  </div>
                </div>
              
                <div class="mb-3">
                  <label for="price" class="form-label">Precio Venta</label>
                  <div class="input-group">
                    <input type="text" class="form-control" id="price" name="price" required>
                    <span class="input-group-text"><i class="fas fa-dollar-sign"></i></span>
                  </div>
                </div>
                <div class="mb-3" id="quantity_content">
                  <label for="quantity" class="form-label">Stock Inicial</label>
                  <input type="number" class="form-control" id="quantity" name="quantity" min="1" required>
           
                </div>
                <div class="mb-3">
                  <label for="quantity" class="form-label">Stock Minimo</label>
                  <input type="number" class="form-control" id="min_stock" name="min_stock" min="1" required>
                  <small>Permitira alertar desabastecimiento</small>
                </div>

                <!-- Error and Success Messages -->
                <div id="successMessage" style="display:none; color: green;"></div>
                <div id="errorMessage" style="display:none; color: red;"></div>
              
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
          <button type="submit" id="submitButton" class="btn btn-primary">Guardar</button>
        </div>
    </form>    
      </div>
    </div>
  </div>

    <div class="card-body">
        <div  class="table-responsive">
          <table
          id="table"
          data-toggle="table"
          data-url="<?php echo e(route("admin.products.ajaxList")); ?>"
          data-height="auto"
          data-side-pagination="server"
          data-page-size="10"
          data-search="true"
          data-pagination="true">
          <thead>
              <tr>
              <th data-field="code">Código</th>
              <th data-field="description"  width=120>Articulo</th>
              <th data-field="category_name">Categoria</th>
              <th data-field="cost" data-align="right">P. Costo</th>
              <th data-field="price" data-align="right">P. Venta</th>
              <th data-field="stock" data-align="center">Stock</th>
              <th data-field="stock" data-formatter="statusFormatter" data-align="center">Estado</th>

              <th data-field="action" data-align="center" data-events="actionEvents" data-formatter="actionFormatter">Ac</th>
              </tr>
          </thead>
          </table>
        </div>
        <script>
        function statusFormatter(value, row, index) {
            if(row.stock >= row.min_stock) {
                return `<span class="badge rounded-pill bg-success">ABASTECIDO</span>`
            }else{
                return `<span class="badge rounded-pill bg-danger">BAJO STOCK</span>`
            }
        }
        function actionFormatter(value, row) {
          const urlDelete = `<?php echo e(route('admin.products.destroy', '%')); ?>`
          let buttonDelete = ``
          <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('product_delete')): ?>
              buttonDelete = `<form id="delete-form-${row.id}" method="post"
                      action="${urlDelete.replace('%', row.id)}"
                      style="display: none">
                  <?php echo e(csrf_field()); ?>

                  <?php echo e(method_field('DELETE')); ?>

              </form>
              <a href="javascript:void(0)" class="badge bg-danger text-white" onclick="
                  if(confirm('Esta seguro de eliminar este registro ??'))
                  {
                  event.preventDefault();
                  document.getElementById('delete-form-${row.id}').submit();
                  }">Delete
              </a>`
          <?php endif; ?>
          return `
                  <a class="badge bg-success" title="Registrar Entrada" href="<?php echo e(route('admin.entries.create')); ?>?product_code=${row.code}"> <i class="fa-solid fa-arrow-left"></i></a>
                  <a class="badge bg-secondary" title="Registrar Salida" href="<?php echo e(route('admin.exits.create')); ?>?product_code=${row.code}"> <i class="fa-solid fa-arrow-right"></i></a>
                  <a class="badge bg-info btn-edit" href="#"  data-bs-toggle="modal" data-bs-target="#create"> Edit </a> 
            ${buttonDelete}`
        }

        window.actionEvents = {
          'click .btn-edit': function (e, value, row) {
              document.getElementById('titleModalLabel').innerHTML = 'Editar articulo'

              document.getElementById('product_id').value = row.id
              document.getElementById('code').value = row.code
              document.getElementById('description').value = row.description
              document.getElementById('cost').value = row.cost
              document.getElementById('price').value = row.price
              document.getElementById('quantity').value = row.initial_stock
              document.getElementById('min_stock').value = row.min_stock
              $("#category_id").val(row.category_id).trigger('change')
              $("#presentation_id").val(row.presentation_id).trigger('change')
              $("#quantity").attr('readonly',true)

          }
        }

        var myModalEl = document.getElementById('create');
        myModalEl.addEventListener('hidden.bs.modal', function (event) {
          document.getElementById('titleModalLabel').innerHTML = 'Crear articulo'
          document.getElementById('product_id').value = ''
          document.getElementById('code').value = ''
          document.getElementById('description').value = ''
          document.getElementById('cost').value = ''
          document.getElementById('price').value = ''
          document.getElementById('quantity').value = ''
          document.getElementById('min_stock').value = ''

          $("#category_id").val('').trigger('change')
          $("#presentation_id").val('').trigger('change')
          $("#quantity").removeAttr('readonly');

        });
        </script>
          
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-control-inventario/resources/views/admin/products/index.blade.php ENDPATH**/ ?>