<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="float-start">
                Entradas
            </div>
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('entry_create')): ?>
                <div class="float-end">
                  <a class="btn btn-success btn-sm text-white" href="<?php echo e(route("admin.entries.create")); ?>">
                    Crear entrada
                </a>
                </div>
                
            <?php endif; ?>
        </div>

        <div id="toolbar">

            <div class="d-inline-block mr-5">FILTRAR POR</div>
            <div class="d-inline-block pl-4" style="width: 200px">
                <select name="" class="autocomplete" id="filter_product">
                    <option value="">- Artículo -</option>
                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($product->id); ?>"><?php echo e($product->code); ?> <?php echo e($product->description); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="d-inline-block mr-4"></div>
            <div class="d-inline-block" style="width: 200px">
                <select name="" class="autocomplete" id="filter_category">
                    <option value="">- Categorias -</option>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($category->id); ?>"><?php echo e($category->category_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
        </div>


        <div class="card-body">
            <div  class="table-responsive">
          <table
          id="table"
          data-toggle="table"
          data-ajax="ajaxRequest"
          data-height="auto"
          data-side-pagination="server"
          data-page-size="10"
          data-pagination="true"
          data-toolbar="#toolbar"
          >
          <thead>
              <tr>
              <th data-field="movement_date">Fecha</th>
              <th data-field="description">Articulo</th>
              <th data-field="category_name">Categoria</th>
              <th data-field="presentation_name">Prsentación</th>
              <th data-field="quantity" data-align="center">Cantidad</th>
              <th data-field="unit_price" data-align="right">Precio</th>
              <th data-field="cost" data-align="right">Costo</th>
              <th data-field="action" data-align="center" data-formatter="actionFormatter">Accion</th>
              </tr>
          </thead>
          </table>
        </div>
        <script>
        
        function ajaxRequest(params) {
            const url = '<?php echo e(route("admin.entries.ajaxList")); ?>'
            const productId = document.getElementById('filter_product').value
            const categoryId = document.getElementById('filter_category').value
            $.get(url + '?' + $.param(params.data)+'&productId='+productId+'&categoryId='+categoryId).then(function (res) {
                params.success(res)
            })
        }

        function actionFormatter(value, row) {
            const urlDelete = `<?php echo e(route('admin.entries.destroy', '%')); ?>`
            let buttonDelete = ``
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('entry_delete')): ?>
                buttonDelete = `<form id="delete-form-${row.id}" method="post"
                        action="${urlDelete.replace('%', row.id)}"
                        style="display: none">
                    <?php echo e(csrf_field()); ?>

                    <?php echo e(method_field('DELETE')); ?>

                </form>
                <a href="javascript:void(0)" class="badge bg-danger text-white" onclick="
                    if(confirm('Esta seguro de eliminar este registro ??'))
                    {
                    event.preventDefault();
                    document.getElementById('delete-form-${row.id}').submit();
                    }">Delete
                </a>`
            <?php endif; ?>

            return `${buttonDelete}`
        }
        window.addEventListener("load", (event) => {
            $("#filter_product, #filter_category").change(function(){
                const $table = $('#table')
                $table.bootstrapTable('refresh')
            })
        })
        </script>
          
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/jorge/Escritorio/www/sys-control-inventario/resources/views/admin/entries/index.blade.php ENDPATH**/ ?>